/*=========================================================================

 Program:   vv
 Module:    $RCSfile: vvInfoPanelPlugin.h,v $
 Language:  C++
 Date:      $Date: 2008/05/28 14:19:12 $
 Version:   $Revision: 1.4 $
 Author :   Pierre Seroul (pierre.seroul@gmail.com)

Copyright (C) 2008
Léon Bérard cancer center http://oncora1.lyon.fnclcc.fr
CREATIS-LRMN http://www.creatis.insa-lyon.fr

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=========================================================================*/
#ifndef _vvInfoPanelPlugin_H
#define _vvInfoPanelPlugin_H

#include <QDesignerCustomWidgetInterface>
#include "vvInfoPanel.h" 

using namespace std;

class vvInfoPanelPlugin : 
  public QObject, public QDesignerCustomWidgetInterface {
  
  Q_OBJECT
  Q_INTERFACES(QDesignerCustomWidgetInterface)

 public:
  vvInfoPanelPlugin(QObject * parent=0);
  
  bool isContainer() const;
  bool isInitialized() const;
  QIcon icon() const;
  QString domXml() const;
  QString group() const;
  QString includeFile() const;
  QString name() const;
  QString toolTip() const;
  QString whatsThis() const;
  QWidget *createWidget(QWidget *parent);
  void initialize(QDesignerFormEditorInterface *core);

 private:
     bool initialized;
};

#endif /* _vvInfoPanelPlugin_H */
  
