#ifndef _vvOverlayPanelPlugin_CXX
#define _vvOverlayPanelPlugin_CXX

/**
   =================================================
   * @file   vvOverlayPanelPlugin.cxx
   * @author David Sarrut <david.sarrut@creatis.insa-lyon.fr>
   * @date   08 May 2004 14:32:19
   * 
   * @brief  
   * 
   * 
   =================================================*/

#include "vvOverlayPanelPlugin.h"

#include <QtPlugin>
#include <iostream>

//====================================================================
vvOverlayPanelPlugin::vvOverlayPanelPlugin(QObject *parent) 
  : QObject(parent)  {
  initialized = false;
}
//====================================================================

//====================================================================
void vvOverlayPanelPlugin::initialize(QDesignerFormEditorInterface * /* core */)  {
  if (initialized)
    return;
  initialized = true;
}
//====================================================================

//====================================================================
bool vvOverlayPanelPlugin::isInitialized() const  {
  return initialized;
}
//====================================================================

//====================================================================
QWidget *vvOverlayPanelPlugin::createWidget(QWidget *parent)  {
  return new vvOverlayPanel(parent);
  //====================================================================
}

//====================================================================
QString vvOverlayPanelPlugin::name() const  {
  return "vvOverlayPanel";
}
//====================================================================

//====================================================================
QString vvOverlayPanelPlugin::group() const  {
  return "Display Widgets [Examples]";
}
//====================================================================

//====================================================================
QIcon vvOverlayPanelPlugin::icon() const {
  return QIcon();
}
//====================================================================

//====================================================================
QString vvOverlayPanelPlugin::toolTip() const {
  return "";
}
//====================================================================

//====================================================================
QString vvOverlayPanelPlugin::whatsThis() const {
  return "";
}
//====================================================================

//====================================================================
bool vvOverlayPanelPlugin::isContainer() const {
  return false;
}
//====================================================================

//====================================================================
QString vvOverlayPanelPlugin::domXml() const {
  return "<widget class=\"vvOverlayPanel\" name=\"vvOverlayPanel\">\n"
    "</widget>\n";
}
//====================================================================

//====================================================================
QString vvOverlayPanelPlugin::includeFile() const {
  return "vvOverlayPanel.h";
}
//====================================================================

Q_EXPORT_PLUGIN2(customwidgetplugin, vvOverlayPanelPlugin)

#endif /* end #define _vvOverlayPanelPlugin_CXX */

