/*=========================================================================

 Program:   vv
 Module:    $RCSfile: vvProgressDialog.h,v $
 Language:  C++
 Date:      $Date: 2008/05/28 14:19:13 $
 Version:   $Revision: 1.4 $
 Author :   Pierre Seroul (pierre.seroul@gmail.com)

Copyright (C) 2008
Léon Bérard cancer center http://oncora1.lyon.fnclcc.fr
CREATIS-LRMN http://www.creatis.insa-lyon.fr

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=========================================================================*/
#ifndef vvProgressDialog_h
#define vvProgressDialog_h

#include <qapplication.h>
#include <qtimer.h>
#include <iostream>
#include <vector>

#include "ui_vvProgressDialog.h"

class vvProgressDialog : public QDialog, private Ui::vvProgressDialog
{
  Q_OBJECT

public:
  vvProgressDialog(){ 
      setupUi(this);
      pos = 0;
      
    }
  ~vvProgressDialog(){}

  void start(std::string action,std::string name)
    {
    /*QTimer *timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(process()));
    timer->start(100);*/
    QString text = action.c_str();
    text += " image\n";
    text += name.c_str();
    textLabel->setText(text);
    }

public slots:
  void process()
    {
    QString text = "";
    pos++;
    if(pos > 10)
      pos = 0;
    for(int i =0; i < pos;i++)
       text += " ";
    text += "***";
    progressLabel->setText(text);
    qApp->processEvents();
    }

private:
  int pos;
};

#endif
